Skip to main content
WEBHOOK
order_created
{
  "id": 1234,
  "invoiceNo": 15,
  "created": 1573397217,
  "customerName": "John Doe",
  "customerEmail": "john@email.com",
  "contactId": 123,
  "memberId": 123,
  "shippingAddress": {
    "name": "<string>",
    "phone": "<string>",
    "companyName": "<string>",
    "companyId": "<string>",
    "country": "<string>",
    "state": "<string>",
    "city": "<string>",
    "zipCode": "<string>",
    "address": "<string>",
    "address2": "<string>"
  },
  "billingAddress": {
    "name": "<string>",
    "phone": "<string>",
    "companyName": "<string>",
    "companyId": "<string>",
    "country": "<string>",
    "state": "<string>",
    "city": "<string>",
    "zipCode": "<string>",
    "address": "<string>",
    "address2": "<string>"
  },
  "shippingRequired": true,
  "weight": 0,
  "weightUnit": "kg",
  "subTotal": 49,
  "total": 49,
  "discountCode": "<string>",
  "discountAmount": 0,
  "shippingName": "<string>",
  "shippingAmount": 0,
  "paid": true,
  "paymentMethod": "stripe",
  "transactionId": "<string>",
  "status": "completed",
  "taxes": [
    {
      "name": "Sales Tax",
      "total": 20,
      "applyToShipping": true,
      "rate": 10,
      "type": "PERCENT",
      "appliedToItems": [
        0,
        1,
        2
      ]
    }
  ],
  "items": [
    {
      "id": 123,
      "name": "Running Shoes",
      "url": "running-shoes",
      "productId": 24,
      "sku": "<string>",
      "quantity": 1,
      "total": 49,
      "weight": 0,
      "width": 0,
      "height": 0,
      "length": 0,
      "shippingRequired": true,
      "images": [
        "https://path-to-image.jpg"
      ],
      "variation": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "additions": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "tags": [
    "<string>"
  ],
  "additionalFields": [
    {
      "field": "<string>",
      "value": "<string>"
    }
  ],
  "notes": [
    {
      "time": 1686043751,
      "value": "Order Note Text Sample"
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass your API key as: Authorization: Bearer <API KEY>.

Body

application/json
id
integer

Unique identifier.

Example:

1234

invoiceNo
integer

Invoice number assigned to the order.

Example:

15

created
integer<int64>

Timestamp in Unix seconds since epoch (time placed).

Example:

1573397217

customerName
string
Example:

"John Doe"

customerEmail
string<email>
Example:

"john@email.com"

contactId
integer

Unique identifier of the contact that made the order.

memberId
integer

Unique identifier of the registered member that made the order (if any).

shippingAddress
object

A billing or shipping address.

billingAddress
object

A billing or shipping address.

shippingRequired
boolean

Whether the order contains physical products requiring shipping.

weight
number

Total weight of the order.

Example:

0

weightUnit
string

Weight unit (kg, lb).

Example:

"kg"

subTotal
number
Example:

49

total
number
Example:

49

discountCode
string | null

Used discount code.

discountType
enum<string> | null

Type of discount used.

Available options:
fixed_discount,
percent_discount,
free_shipping,
null
discountAmount
number
Example:

0

shippingName
string

Shipping method used (if any).

shippingAmount
number

Cost of shipping.

Example:

0

paid
boolean

Whether the order is paid.

paymentMethod
string

Payment method used to place the order.

Example:

"stripe"

transactionId
string

If paid, the payment transaction id.

status
enum<string>

Order status. Returned in lowercase; see the Update operation for the accepted uppercase input values.

Available options:
pending,
shipped,
completed,
canceled,
archived
Example:

"completed"

taxes
object[]
items
object[]
tags
string[]

List of tags assigned to the order.

additionalFields
object[]

Field/value pairs of all additional fields collected with the order.

notes
object[]

Private notes added to this order (time/value pairs).

Response

200

Return a 2xx status to acknowledge receipt.

Last modified on June 20, 2026